import 'package:flutter/material.dart';
import 'package:modal_bottom_sheet/modal_bottom_sheet.dart';
import 'package:puma_ui/ui/atoms/pumaPopper.dart';

void showPumalModalBottomSheet({
  required BuildContext context,
  required Widget child,
  bool expand = false,
  bool safeArea = false,
  EdgeInsetsGeometry padding = const EdgeInsets.all(0.0),
  PumaModalType modalType = PumaModalType.cupertino,
  Color? backgroundColor,
  bool isDismissible = true,
  bool enableDrag = true,
}) {
  switch (modalType) {
    case PumaModalType.bar:
      showBarModalBottomSheet(
        expand: expand,
        context: context,
        isDismissible: isDismissible,
        enableDrag: enableDrag,
        builder: (context) => PumaPopper(
          padding: padding,
          color: backgroundColor ?? Colors.grey.shade900,
          safeArea: safeArea,
          child: child,
        ),
      );
      break;
    default:
      showCupertinoModalBottomSheet(
        barrierColor: Colors.black.withAlpha(130),
        expand: expand,
        context: context,
        isDismissible: isDismissible,
        enableDrag: enableDrag,
        builder: (context) => PumaPopper(
          padding: padding,
          color: backgroundColor ?? Colors.grey.shade900,
          safeArea: safeArea,
          child: child,
        ),
      );
  }
}

enum PumaModalType { cupertino, bar }
