import 'package:url_launcher/url_launcher.dart';

launchWebsite({
  required String website,
  String scheme = "https",
  String query = "",
}) async {
  Uri url = Uri(
    scheme: scheme,
    path: website,
    query: query,
  );

  if (await canLaunchUrl(url)) {
    await launchUrl(url);
  } else {
    print('Could not launch');
  }
}

launchEmail({
  required String recipient,
  required String subject,
  required String body,
}) async {
  Uri url = Uri(
    scheme: 'mailto',
    path: recipient,
    query: 'subject=$subject&body=$body',
  );

  if (await canLaunchUrl(url)) {
    await launchUrl(url);
  } else {
    print('Could not launch');
  }
}
