import 'package:flutter/material.dart';

class FittedTile extends StatelessWidget {
  final String title;
  final double? fontSize;
  final Color? color;

  FittedTile({
    this.title = "",
    this.fontSize,
    this.color,
  });

  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(
        top: 8.0,
        bottom: 8.0,
      ),
      child: FittedBox(
        fit: BoxFit.scaleDown,
        alignment: Alignment.topCenter,
        child: Text(
          title,
          textAlign: TextAlign.center,
          style: Theme.of(context).textTheme.headline3!.merge(TextStyle(
                fontFamily: 'Futura-Bold',
                fontSize: fontSize,
                color: color,
              )),
        ),
      ),
    );
  }
}
