import 'package:flutter/material.dart';

class PumaButton extends StatelessWidget {
  final String title;
  final String? subtitle;
  final Color color;
  final Color textcolor;
  final bool disabled;
  final Icon? icon;
  final void Function() onPressed;

  PumaButton({
    Key? key,
    this.title = "",
    this.subtitle,
    this.color = Colors.white,
    this.textcolor = Colors.black,
    this.disabled = false,
    this.icon,
    required this.onPressed,
  }) : super(key: key);

  Widget build(BuildContext context) {
    return Opacity(
      opacity: disabled ? 0.5 : 1,
      child: ElevatedButton(
        child: Container(
          child: FittedBox(
            fit: BoxFit.scaleDown,
            alignment: Alignment.topCenter,
            child: Row(
              crossAxisAlignment: CrossAxisAlignment.center,
              mainAxisAlignment: MainAxisAlignment.center,
              children: [
                if (icon != null) icon!,
                Text(
                  title,
                  style: TextStyle(
                      fontFamily: "Futura-Bold",
                      fontSize: 18,
                      color: textcolor),
                ),
                if (subtitle != null)
                  Opacity(
                    opacity: 0.58,
                    child: Text(
                      subtitle!,
                      style: TextStyle(
                          fontFamily: "Futura-Bold",
                          fontSize: 12,
                          color: textcolor),
                    ),
                  ),
              ],
            ),
          ),
        ),
        style: ButtonStyle(
          backgroundColor: MaterialStateProperty.all(color),
        ),
        onPressed: disabled ? null : onPressed,
      ),
    );
  }
}
