import 'package:flutter/material.dart';

class PumaPopper extends StatelessWidget {
  final Widget child;
  final Color color;
  final EdgeInsetsGeometry padding;
  final bool safeArea;

  PumaPopper({
    required this.child,
    this.color: Colors.white,
    this.padding: const EdgeInsets.all(16.0),
    this.safeArea = true,
  });

  Widget safe({
    required Widget child,
  }) {
    if (safeArea)
      return SafeArea(
        child: child,
      );

    return child;
  }

  Widget build(BuildContext context) {
    return Material(
      child: Container(
        color: color,
        child: safe(
          child: Padding(
            padding: padding,
            child: child,
          ),
        ),
      ),
    );
  }
}
