import 'package:flutter/material.dart';

class PumaTextButton extends StatelessWidget {
  final String text;
  final double fontSize;
  final Color? color;
  final Icon? icon;
  final void Function()? onPressed;

  PumaTextButton({
    this.text = "",
    this.fontSize = 16,
    this.color,
    this.icon,
    this.onPressed,
  });

  Widget build(BuildContext context) {
    return TextButton(
      onPressed: onPressed,
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.end,
        children: [
          if (icon != null) icon!,
          Padding(
            padding: const EdgeInsets.only(left: 4.0),
            child: Text(
              text,
              style: TextStyle(
                color: color,
                fontSize: fontSize,
              ),
            ),
          ),
        ],
      ),
    );
  }
}
