import 'package:flutter/material.dart';

class SearchField extends StatelessWidget {
  final String label;
  final TextEditingController? controller;
  final void Function(String)? onChanged;

  SearchField({
    Key? key,
    this.label = "",
    this.controller,
    this.onChanged,
  }) : super(key: key);

  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: TextField(
        autofocus: true,
        onChanged: onChanged,
        controller: controller,
        decoration: InputDecoration(
          labelText: label,
          hintText: label,
          prefixIcon: Icon(
            Icons.search,
          ),
          border: OutlineInputBorder(
            borderRadius: BorderRadius.all(
              Radius.circular(10.0),
            ),
          ),
        ),
      ),
    );
  }
}
