import 'package:flutter/material.dart';

class PumaCard extends StatefulWidget {
  final Widget? leading;
  final Widget? title;
  final Widget? trailing;
  final void Function()? onTap;
  final bool disabled;

  const PumaCard({
    this.leading,
    this.title,
    this.trailing,
    this.onTap,
    this.disabled = false,
  });

  @override
  _PumaCardState createState() => _PumaCardState();
}

class _PumaCardState extends State<PumaCard> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: widget.onTap,
      child: Card(
        color: widget.disabled ? Colors.black.withAlpha(40) : null,
        elevation: widget.disabled ? 0 : 2,
        child: ListTile(
          leading: widget.leading,
          title: widget.title,
          trailing: widget.trailing,
        ),
      ),
    );
  }
}
